net.i2p.router.transport.udp

## Class PeerTestState

- java.lang.Object
- - net.i2p.router.transport.udp.PeerTestState

     class PeerTestState
    extends Object

### Field Summary

Fields
`static short` `ALICE`
`static short` `BOB`
`static short` `CHARLIE`

### Constructor Summary

Constructors
Constructor and Description
`PeerTestState()`

### Method Summary

Methods
`SessionKey` `getAliceIntroKey()`
`InetAddress` `getAliceIP()` If we are Alice, this will contain the IP that Bob says we can be reached at - the IP Charlie says we can be reached at is _aliceIPFromCharlie
`InetAddress` `getAliceIPFromCharlie()`
`int` `getAlicePort()` If we are Alice, this will contain the port that Bob says we can be reached at - the port Charlie says we can be reached at is _alicePortFromCharlie
`int` `getAlicePortFromCharlie()`
`long` `getBeginTime()` when did this test begin?
`SessionKey` `getBobCipherKey()`
`InetAddress` `getBobIP()`
`SessionKey` `getBobMACKey()`
`int` `getBobPort()`
`SessionKey` `getCharlieIntroKey()`
`InetAddress` `getCharlieIP()`
`int` `getCharliePort()`
`long` `getLastSendTime()` when did we last send out a packet?
`long` `getNonce()`
`short` `getOurRole()` Are we Alice, bob, or Charlie.
`int` `getPacketsRelayed()`
`long` `getReceiveAliceTime()` when did we last hear from alice?
`long` `getReceiveBobTime()` when did we last hear from bob?
`long` `getReceiveCharlieTime()` when did we last hear from charlie?
`void` `incrementPacketsRelayed()`
`void` `setAliceIntroKey(SessionKey key)`
`void` `setAliceIP(InetAddress ip)`
`void` `setAliceIPFromCharlie(InetAddress ip)`
`void` `setAlicePort(int alicePort)`
`void` `setAlicePortFromCharlie(int alicePortFromCharlie)`
`void` `setBeginTime(long when)`
`void` `setBobCipherKey(SessionKey key)`
`void` `setBobIP(InetAddress ip)`
`void` `setBobMACKey(SessionKey key)`
`void` `setBobPort(int bobPort)`
`void` `setCharlieIntroKey(SessionKey key)`
`void` `setCharlieIP(InetAddress ip)`
`void` `setCharliePort(int charliePort)`
`void` `setLastSendTime(long when)`
`void` `setNonce(long nonce)`
`void` `setOurRole(short role)`
`void` `setReceiveAliceTime(long when)`
`void` `setReceiveBobTime(long when)`
`void` `setReceiveCharlieTime(long when)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ALICE

    public static final short ALICE

See Also:
  Constant Field Values

#### BOB

    public static final short BOB

See Also:
  Constant Field Values

#### CHARLIE

    public static final short CHARLIE

See Also:
  Constant Field Values

### Constructor Detail

#### PeerTestState

    PeerTestState()

### Method Detail

#### getNonce

    public long getNonce()

#### setNonce

    public void setNonce(long nonce)

#### getOurRole

    public short getOurRole()

Are we Alice, bob, or Charlie.

#### setOurRole

    public void setOurRole(short role)

#### getAliceIP

    public InetAddress getAliceIP()

If we are Alice, this will contain the IP that Bob says we can be reached at - the IP Charlie says we can be reached at is _aliceIPFromCharlie

#### setAliceIP

    public void setAliceIP(InetAddress ip)

#### getBobIP

    public InetAddress getBobIP()

#### setBobIP

    public void setBobIP(InetAddress ip)

#### getCharlieIP

    public InetAddress getCharlieIP()

#### setCharlieIP

    public void setCharlieIP(InetAddress ip)

#### getAliceIPFromCharlie

    public InetAddress getAliceIPFromCharlie()

#### setAliceIPFromCharlie

    public void setAliceIPFromCharlie(InetAddress ip)

#### getAlicePort

    public int getAlicePort()

If we are Alice, this will contain the port that Bob says we can be reached at - the port Charlie says we can be reached at is _alicePortFromCharlie

#### setAlicePort

    public void setAlicePort(int alicePort)

#### getBobPort

    public int getBobPort()

#### setBobPort

    public void setBobPort(int bobPort)

#### getCharliePort

    public int getCharliePort()

#### setCharliePort

    public void setCharliePort(int charliePort)

#### getAlicePortFromCharlie

    public int getAlicePortFromCharlie()

#### setAlicePortFromCharlie

    public void setAlicePortFromCharlie(int alicePortFromCharlie)

#### getAliceIntroKey

    public SessionKey getAliceIntroKey()

#### setAliceIntroKey

    public void setAliceIntroKey(SessionKey key)

#### getCharlieIntroKey

    public SessionKey getCharlieIntroKey()

#### setCharlieIntroKey

    public void setCharlieIntroKey(SessionKey key)

#### getBobCipherKey

    public SessionKey getBobCipherKey()

#### setBobCipherKey

    public void setBobCipherKey(SessionKey key)

#### getBobMACKey

    public SessionKey getBobMACKey()

#### setBobMACKey

    public void setBobMACKey(SessionKey key)

#### getBeginTime

    public long getBeginTime()

when did this test begin?

#### setBeginTime

    public void setBeginTime(long when)

#### getLastSendTime

    public long getLastSendTime()

when did we last send out a packet?

#### setLastSendTime

    public void setLastSendTime(long when)

#### getReceiveAliceTime

    public long getReceiveAliceTime()

when did we last hear from alice?

#### setReceiveAliceTime

    public void setReceiveAliceTime(long when)

#### getReceiveBobTime

    public long getReceiveBobTime()

when did we last hear from bob?

#### setReceiveBobTime

    public void setReceiveBobTime(long when)

#### getReceiveCharlieTime

    public long getReceiveCharlieTime()

when did we last hear from charlie?

#### setReceiveCharlieTime

    public void setReceiveCharlieTime(long when)

#### getPacketsRelayed

    public int getPacketsRelayed()

#### incrementPacketsRelayed

    public void incrementPacketsRelayed()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`